<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.crawl Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.crawl Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/collection/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/exchange/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.crawl</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configured.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configured</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/AbstractChecker.html" title="class in org.apache.nutch.util"><span class="typeNameLink">AbstractChecker</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDbReader.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDbReader</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/AbstractFetchSchedule.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">AbstractFetchSchedule</span></a> (implements org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/FetchSchedule.html" title="interface in org.apache.nutch.crawl">FetchSchedule</a>)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/AdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">AdaptiveFetchSchedule</span></a>
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/MimeAdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">MimeAdaptiveFetchSchedule</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/DefaultFetchSchedule.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">DefaultFetchSchedule</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbMerger.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbMerger</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDbMerger.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDbMerger</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchTool</span></a>
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDb.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDb</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/DeduplicationJob.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">DeduplicationJob</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Injector.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Injector</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDb.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDb</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDatum</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&lt;T&gt;)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/FetchScheduleFactory.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">FetchScheduleFactory</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.CrawlDbUpdater.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.CrawlDbUpdater</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.SelectorEntry.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.SelectorEntry</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/GenericWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io"><span class="typeNameLink">GenericWritable</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/GenericWritableConfigurable.html" title="class in org.apache.nutch.util"><span class="typeNameLink">GenericWritableConfigurable</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">NutchWritable</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Inlink</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Inlinks</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">com.fasterxml.jackson.databind.JsonSerializer&lt;T&gt; (implements com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer</span></a></li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Mapper</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbFilter.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbFilter</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbDumpMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDbDumpMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbStatMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDbStatMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbTopNMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDbTopNMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/DeduplicationJob.DBFilter.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">DeduplicationJob.DBFilter</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.CrawlDbUpdater.CrawlDbUpdateMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.CrawlDbUpdater.CrawlDbUpdateMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.SelectorInverseMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.SelectorInverseMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.SelectorMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.SelectorMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Injector.InjectMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Injector.InjectMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDb.LinkDbMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDb.LinkDbMapper</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDbFilter.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDbFilter</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDbReader.LinkDBDumpMapper.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDbReader.LinkDBDumpMapper</span></a></li>
</ul>
</li>
<li type="circle">com.fasterxml.jackson.core.util.MinimalPrettyPrinter (implements com.fasterxml.jackson.core.PrettyPrinter, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.JsonIndenter.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.JsonIndenter</span></a></li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/OutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">OutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.hadoop.mapreduce.lib.output.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output"><span class="typeNameLink">FileOutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumCsvOutputFormat.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDatumCsvOutputFormat</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumJsonOutputFormat.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDatumJsonOutputFormat</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Partitioner.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Partitioner</span></a>&lt;KEY,VALUE&gt;
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.Selector.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.Selector</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/URLPartitioner.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">URLPartitioner</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordWriter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">RecordWriter</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumJsonOutputFormat.LineRecordWriter.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDatumJsonOutputFormat.LineRecordWriter</span></a></li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Reducer.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Reducer</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbMerger.Merger.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbMerger.Merger</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbStatReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDbStatReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbTopNReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReader.CrawlDbTopNReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDbReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDbReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/DeduplicationJob.DedupReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">DeduplicationJob.DedupReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/DeduplicationJob.StatusUpdateReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">DeduplicationJob.StatusUpdateReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.CrawlDbUpdater.CrawlDbUpdateReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.CrawlDbUpdater.CrawlDbUpdateReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.PartitionReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.PartitionReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.SelectorReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.SelectorReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Injector.InjectReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Injector.InjectReducer</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/LinkDbMerger.LinkDbMergeReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">LinkDbMerger.LinkDbMergeReducer</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Signature.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Signature</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/MD5Signature.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">MD5Signature</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/TextMD5Signature.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">TextMD5Signature</span></a></li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/TextProfileSignature.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">TextProfileSignature</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/SignatureComparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">SignatureComparator</span></a> (implements java.util.<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true" title="class or interface in java.util">Comparator</a>&lt;T&gt;)</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/SignatureFactory.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">SignatureFactory</span></a></li>
<li type="circle">org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io"><span class="typeNameLink">WritableComparator</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/RawComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">RawComparator</a>&lt;T&gt;)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/CrawlDatum.Comparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">CrawlDatum.Comparator</span></a></li>
<li type="circle">org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/FloatWritable.Comparator.html?is-external=true" title="class or interface in org.apache.hadoop.io"><span class="typeNameLink">FloatWritable.Comparator</span></a>
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.DecreasingFloatComparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.DecreasingFloatComparator</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/Generator.HashComparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Generator.HashComparator</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configurable</span></a>
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/FetchSchedule.html" title="interface in org.apache.nutch.crawl"><span class="typeNameLink">FetchSchedule</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/collection/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/exchange/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
